aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xinstall.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/install.sh b/install.sh
index e17abdb..789647a 100755
--- a/install.sh
+++ b/install.sh
@@ -198,3 +198,10 @@ sh ipfs-check-install-setup-init-update
source ./config.sh
source $HOME/$SHELLRC
sh init.sh
+make
+if [ $? -ne 0 ]
+then
+ printf 'Building API daemon failed\n'
+ exit 1
+fi
+ln -s $WHEREAMI/build/ak-daemon $AK_BINDIR/ak-daemon